// HiC-TE pipeline config file - 2021 Matej Lexa

params {
  sra_run = null
  help = false
  reference = null
  data_dir = null
  skip_nester = false
  input_nester = null
  gff_suffix = ""
  skip_bow_index = false
  input_bow_index = null
  teref_size = null
  REnzyme = null
  save_intermediate = false
  report_dir = "pipeline_report"
  //diachromatic_dir = "/home/lexa/hic/diachromatic/target"

  singularity_use_docker_container = false
  singularity_runOption = "--bind ${baseDir}/tmp:/tmp"

  diachromatic_use_java_8 = true
  java_8_path = "/packages/run/jdk-8/current/bin/java"
}

profiles {
  test  { includeConfig 'conf/test.config' }
  docker {
    docker.enabled          = true
    singularity.enabled     = false
  }
  singularity {
    docker.enabled          = false
    singularity.enabled     = true
    singularity.autoMounts  = true
    singularity.runOptions = "${params.singularity_runOption}"
  }
}

def report_timestamp = new java.util.Date().format( 'yyyy-MM-dd_HH-mm-ss')

dag {
  enabled = true
  file = "${params.report_dir}/dag_${report_timestamp}.svg"
}

report {
  enabled = true
  file = "${params.report_dir}/report_${report_timestamp}.html"
}

trace {
  enabled = true
  file = "${params.report_dir}/trace_${report_timestamp}.txt"
}

timeline {
  enabled = true
  file = "${params.report_dir}/timeline_${report_timestamp}.html"
}
